# sf::VideoMode Class Reference

VideoMode defines a video mode (width, height, bpp, frequency) and provides static functions for getting modes supported by the display device. More...

`#include <VideoMode.hpp>`

List of all members.

## Public Member Functions

| VideoMode ()
| Default constructor.
| VideoMode (unsigned int ModeWidth, unsigned int ModeHeight, unsigned int ModeBpp=32)
| Construct the video mode with its attributes.
bool | IsValid () const
| Tell whether or not the video mode is supported.
bool | operator== (const VideoMode &Other) const
| Comparison operator overload -- tell if two video modes are equal.
bool | operator!= (const VideoMode &Other) const
| Comparison operator overload -- tell if two video modes are different.

## Static Public Member Functions

static VideoMode | GetDesktopMode ()
| Get the current desktop video mode.
static VideoMode | GetMode (std::size_t Index)
| Get a valid video mode Index must be in range [0, GetModesCount()[ Modes are sorted from best to worst.
static std::size_t | GetModesCount ()
| Get valid video modes count.

## Public Attributes

unsigned int | Width
| Video mode width, in pixels.
unsigned int | Height
| Video mode height, in pixels.
unsigned int | BitsPerPixel
| Video mode pixel depth, in bits per pixels.

## Detailed Description

VideoMode defines a video mode (width, height, bpp, frequency) and provides static functions for getting modes supported by the display device.

Definition at line 42 of file VideoMode.hpp.

## Constructor & Destructor Documentation

sf::VideoMode::VideoMode | ( |  | ) |

Default constructor.

Definition at line 67 of file VideoMode.cpp.

sf::VideoMode::VideoMode | ( | unsigned int | ModeWidth,
|  | unsigned int | ModeHeight,
|  | unsigned int | ModeBpp = `32` |
| ) |  |  |

Construct the video mode with its attributes.

Parameters:

  | ModeWidth | : Width in pixels
  | ModeHeight | : Height in pixels
  | ModeBpp | : Pixel depths in bits per pixel (32 by default)

Definition at line 79 of file VideoMode.cpp.

## Member Function Documentation

VideoMode sf::VideoMode::GetDesktopMode | ( |  | ) | `[static]`

Get the current desktop video mode.

Returns:
  Current desktop video mode

Definition at line 91 of file VideoMode.cpp.

VideoMode sf::VideoMode::GetMode | ( | std::size_t | Index | ) | `[static]`

Get a valid video mode Index must be in range [0, GetModesCount()[ Modes are sorted from best to worst.

Get a valid video mode Index must be in range [0, GetModesCount()[.

Parameters:

  | Index | : Index of video mode to get

Returns:
  Corresponding video mode (invalid mode if index is out of range)

Definition at line 102 of file VideoMode.cpp.

std::size_t sf::VideoMode::GetModesCount | ( |  | ) | `[static]`

Get valid video modes count.

Returns:
  Number of valid video modes available

Definition at line 117 of file VideoMode.cpp.

bool sf::VideoMode::IsValid | ( |  | ) | const

Tell whether or not the video mode is supported.

Returns:
  True if video mode is supported, false otherwise

Definition at line 129 of file VideoMode.cpp.

bool sf::VideoMode::operator!= | ( | const VideoMode & | Other | ) | const

Comparison operator overload -- tell if two video modes are different.

Parameters:

  | Other | : Video mode to compare

Returns:
  True if modes are different

Definition at line 152 of file VideoMode.cpp.

bool sf::VideoMode::operator== | ( | const VideoMode & | Other | ) | const

Comparison operator overload -- tell if two video modes are equal.

Parameters:

  | Other | : Video mode to compare

Returns:
  True if modes are equal

Definition at line 141 of file VideoMode.cpp.

## Member Data Documentation

unsigned int sf::VideoMode::BitsPerPixel

Video mode pixel depth, in bits per pixels.

Definition at line 123 of file VideoMode.hpp.

unsigned int sf::VideoMode::Height

Video mode height, in pixels.

Definition at line 122 of file VideoMode.hpp.

unsigned int sf::VideoMode::Width

Video mode width, in pixels.

Definition at line 121 of file VideoMode.hpp.

The documentation for this class was generated from the following files:

- VideoMode.hpp
- VideoMode.cpp